Package ghidra.util.graph

# Class Edge

java.lang.Object
ghidra.util.graph.Edge

All Implemented Interfaces:
  `KeyedObject`, `Comparable<Edge>`

@Deprecated(since="10.2") public final class Edge extends Object implements KeyedObject, Comparable<Edge>
Deprecated.
An Edge joins a pair of vertices. The from and to vertex of an edge can not be changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Edge(Vertex from, Vertex to)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Edge edge)`
  Deprecated.
  Compare one edge to another.
  `boolean`
  `equals(Object obj)`
  Deprecated.
  Overides equals method by comparing keys.
  `Vertex`
  `from()`
  Deprecated.
  Returns from vertex.
  `int`
  `hashCode()`
  Deprecated.
  `long`
  `key()`
  Deprecated.
  Returns the key of this edge.
  `Vertex`
  `to()`
  Deprecated.
  Returns to vertex.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Edge

    public Edge(Vertex from, Vertex to)
    Deprecated.
    Parameters:
      `from` - The from or parent vertex.
      `to` - The to or child vertex.

- ## Method Details

  - ### from

    public Vertex from()
    Deprecated.
    Returns from vertex.

  - ### to

    public Vertex to()
    Deprecated.
    Returns to vertex.

  - ### key

    public long key()
    Deprecated.
    Returns the key of this edge.
    Specified by:
      `key` in interface `KeyedObject`

  - ### compareTo

    public int compareTo(Edge edge)
    Deprecated.
    Compare one edge to another. Based on time of creation.
    Specified by:
      `compareTo` in interface `Comparable<Edge>`

  - ### equals

    public boolean equals(Object obj)
    Deprecated.
    Overides equals method by comparing keys.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`